----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

local DF = DOF_namespace
local _

DF.luaList ={}

DF.luaList ={
	{["texte"]="RIP 25%",["tooltip"]="Change Rip icon with Ferocious Bite icon when target heal below 25%.",["valeur"]="1",["code"]=""
	.."local current = UnitHealth(\"target\")\n"
	.."local maxi = UnitHealthMax(\"target\")\n"
	.."if maxi>0 then\n"
	.."  percent = current/maxi\n"
	.."  if (percent<=0.25 and DOF_namespace:spell_exist(1079,nil,\"target\",\"HARMFUL|PLAYER\",true)) then\n"
	.."    DOF_namespace:icon_setTexture(DF_abiNum,\"Interface\\\\icons\\\\ability_druid_ferociousbite\")\n"
	.."  else\n"
	.."    DOF_namespace:icon_setTexture(DF_abiNum,\"Interface\\\\icons\\\\ability_ghoulfrenzy\")\n"
	.."  end\n"
	.."else\n"
	.."  DOF_namespace:icon_setTexture(DF_abiNum,\"Interface\\\\icons\\\\ability_ghoulfrenzy\")\n"
	.."end\n"
	.."return true\n"
	},
	{["texte"]="Combo points colors",["tooltip"]="Colorize CP in red at 5 points.",["valeur"]="2",["code"]=""
		.."local c = UnitPower('player', 4)\n"
		.."local cV=0.5\n"
		.."if c and c==5 then cV=0 end\n"
		.."for i = 1,5 do\n"
		.."  cp=DOF_namespace:combo_getTexture(i)\n"
		.."  cp:SetVertexColor(1,cV,0)\n"
		.."end\n"
	},
	{["texte"]="Dynamic icon update",["tooltip"]="Continuously update the spell icon",["valeur"]="3",["code"]=""
		.."local test=DF:options_returnNumber(DF.works.spells[DF_abiNum].ids[1])\n"
		.."if test>0 then\n"
  		.."  local abiImgTmp = GetSpellTexture(test)\n"
  		.."  DF:icon_setTexture(DF_abiNum,abiImgTmp)\n"
		.."end\n"
		.."return true\n"
	},

}
